####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/drawdemo/Makefile,v $
#

####### Files

SOURCES =	drawdemo.cpp
OBJECTS =	drawdemo.o
SRCMETA =	drawdemo.moc
TARGET	=	drawdemo

####### Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Build rules

all: $(TARGET)

$(TARGET): $(SRCMETA) $(OBJECTS)
	$(CC) $(OBJECTS) -o $(TARGET) $(LFLAGS) -lm

depend:
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

showfiles:
	@echo $(SOURCES) $(HEADERS) Makefile

clean:
	-rm -f *.o *.bak *~ *% #*
	-rm -f $(SRCMETA) $(TARGET)

####### Meta objects

drawdemo.moc: drawdemo.cpp
	$(MOC) drawdemo.cpp -o drawdemo.moc


# DO NOT DELETE THIS LINE -- make depend depends on it.
